GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
gtpin::IGtGenArch Class Reference
GTPin: GEN Architecture

Abstract singleton that provides access to generic and model-specific properties of the GEN architecture. More...

`#include <igt_gen_arch.h>`

## Public Member Functions
virtual const IGtGenModel & | Model (GtGenModelId id) const =0
| Return object that provides access to basic properties of the specified GEN model.
virtual uint32_t | DataElementSize (GED_DATA_TYPE dataType) const =0
| Given type of the data element (instruction operand), return its size in bytes.
virtual bool | IsIntegerDataType (GED_DATA_TYPE dataType) const =0
| Return true if the specified data type represent an integer element.
virtual bool | IsMemorySurface (GED_SFID sfid) const =0
| Return true if the specified shared function identifies a memory surface.
virtual bool | IsMemorySurfaceReadOnly (GED_SFID sfid) const =0
| Return true if the specified shared function identifies a read-only memory surface.
virtual bool | IsMemorySurfaceWritable (GED_SFID sfid) const =0
| Return true if the specified shared function identifies a writable memory surface.
virtual bool | IsAtomicMemoryAccess (GED_MESSAGE_TYPE msgType) const =0
| Return true if the specified message type identifies an atomic memory access.
virtual uint32_t | MaxTiles (GtGpuPlatform platform) const =0
| Return effective maximum of subdevices (tiles) supported by the specified platform.

## Detailed Description

Abstract singleton that provides access to generic and model-specific properties of the GEN architecture.

Availability:
  - Anytime and anywhere

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT